## org.h2.build.doc
Class SpellChecker

    java.lang.Object
      org.h2.build.doc.SpellChecker

    public class SpellChecker

extends java.lang.Object

The spell checker makes sure that each word used in the source code is spelled correctly, by comparing the words with a word list. Camel case and uppercase words are checked as well. HTTP links are not checked; however they may not end with a dot.

Constructor Summary
`SpellChecker()`

Method Summary
`static void` `main(java.lang.String... args)` This method is called when executing this application from the command line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpellChecker

    public SpellChecker()

Method Detail

### main

    public static void main(java.lang.String... args)
                     throws java.io.IOException

  This method is called when executing this application from the command line.

  Parameters:
    `args` - the command line parameters
  Throws:
    `java.io.IOException`